Package de.willuhn.jameica.hbci.io

# Class AbstractDTAUSIO

java.lang.Object
de.willuhn.jameica.hbci.io.AbstractDTAUSIO

All Implemented Interfaces:
  `IO`

Direct Known Subclasses:
  `AbstractDTAUSImporter`, `DTAUSSammelTransferExporter`

public abstract class AbstractDTAUSIO extends Object implements IO
Abstrakte Basis-Klasse fuer DTAUS-Import/Export.

## Constructor Summary

Constructors
Constructor
Description
`AbstractDTAUSIO()`

## Method Summary

Modifier and Type
Method
Description
`IOFormat[]`
`getIOFormats(Class objectType)`
Liefert eine Liste der von diesem unterstuetzten Datei-Formate.
`String`
`getName()`
Liefert einen sprechenden Namen des Exporters/Importers.
`protected String`
`mapDtausToTextschluessel(SammelTransferBuchung buchung, long ts)`
Mappt den DTAUS-Textschluessel von DTAUS zu Hibiscus.
`protected int`
`mapTextschluesselToDtaus(SammelTransferBuchung buchung)`
Mappt den Textschluessel von Hibiscus zu DTAUS.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractDTAUSIO

public AbstractDTAUSIO()

## Method Details

### getName

public String getName()
Description copied from interface: `IO`
Liefert einen sprechenden Namen des Exporters/Importers. Z.Bsp. "Swift MT-940 Format".

Specified by:
  `getName` in interface `IO`
Returns:
  Name

### mapTextschluesselToDtaus

protected int mapTextschluesselToDtaus(SammelTransferBuchung buchung) throws RemoteException
Mappt den Textschluessel von Hibiscus zu DTAUS.

Parameters:
  `buchung` - Buchung.
Returns:
  Textschluessel.
Throws:
  `RemoteException`

### mapDtausToTextschluessel

protected String mapDtausToTextschluessel(SammelTransferBuchung buchung, long ts)
Mappt den DTAUS-Textschluessel von DTAUS zu Hibiscus.

Parameters:
  `buchung` - die Buchung.
  `ts` - Textschluessel aus DTAUS.
Returns:
  Textschluessel in Hibiscus.

### getIOFormats

public IOFormat[] getIOFormats(Class objectType)
Description copied from interface: `IO`
Liefert eine Liste der von diesem unterstuetzten Datei-Formate.

Specified by:
  `getIOFormats` in interface `IO`
Parameters:
  `objectType` - Art der zu exportierenden/importierenden Objekte. Z.Bsb.: Umsatz.class oder SammellastBuchung.class. Abhaengig davon kann der Exporter/Importer eine unterschiedliche Liste von Dateiformaten liefern, die er zu dieser Objektart unterstuetzt.
Returns:
  Liste der Export-Formate.